Main Page Modules Namespace List Data Structures File List Data Fields Examples

# Text
[Node]

## Defines
#define | DOM_TEXT DOM_NODE
## Functions
DOM_TEXT * | domTextNew (const char *text)

## Detailed Description

DOM Text manipulation.

## Define Documentation

#define DOM_TEXT DOM_NODE

| Defines DOM_TEXT to DOM_NODE. This gives us "inheritance" in C.

## Function Documentation

DOM_TEXT* domTextNew | ( | const char * | text | ) |

  | Constructs a new DOM text node with the provided text. Parameters:
  text | [in] The null terminated string to set the text node to.
Returns: On success, an initialized DOM text node will be returned. Otherwise, NULL will be returned.